%define class Mail
%define subclass Tools
%define version 1.58
%define release 1

# Derived values
%define module  %{class}%{subclass}
%define name    perl-%{module}
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: 	Perl module %{class}::%{subclass}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Development/Perl
License:        See documentation
Source: 	http://www.cpan.org/modules/by-module/%{class}/%{module}-%{version}.tar.gz
Url: 		http://search.cpan.org/search?dist=%{module}
BuildRequires:	perl
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-build-%(id -nu)/
Requires: 	perl = %{perlver}
Provides:       %{module} = %{version}

%description
Perl modules which implement %{class} class.  

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall}

# Clean up some files we don't want/need
rm -rf `find $RPM_BUILD_ROOT -name "perllocal.pod" -o \
                             -name ".packlist" -o \
                             -name "*.bs"`

# Remove all empty directories
find $RPM_BUILD_ROOT -type d | tac | xargs rmdir --ign

%clean
cd ..
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{module}-%{version}

%files
%defattr(-,root,root)
%doc ChangeLog README README.demos examples
%{_prefix}

%changelog
* Thu Apr 24 2003 Michael McLagan <michael.mclagan@linux.org> 1.58-1
- Updated to 1.58

* Fri Oct 04 2002 Michael McLagan <michael.mclagan@linux.org>
- Updated to 1.50

* Fri Apr 19 2002 Michael McLagan <michael.mclagan@linux.org>
- Simplified spec file

* Wed Apr 16 2002 Russell Stuart <russell@stuart.wattle.id.au> 1.44-1ras
- Adapted to RedHat 7.2.

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 1.44-1mdk
- 1.44.

* Thu Jan 03 2002 Franois Pons <fpons@mandrakesoft.com> 1.42-1mdk
- 1.42.

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 1.40-2mdk
- added url tag.

* Tue Oct 23 2001 Franois Pons <fpons@mandrakesoft.com> 1.40-1mdk
- 1.40.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 1.16-2mdk
- BuildRequires: perl-devel

* Fri Aug 24 2001 Franois Pons <fpons@mandrakesoft.com> 1.16-1mdk
- 1.16.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.15-2mdk
- Rebuild for the latest perl.

* Thu Oct 12 2000 Franois Pons <fpons@mandrakesoft.com> 1.15-1mdk
- removed typo patch as now applied.
- 1.15.

* Mon Aug 07 2000 Franois Pons <fpons@mandrakesoft.com> 1.14.1-3mdk
- added missing clean.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.14.1-2mdk
- macroszifications.
- noarch.
- add doc.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 1.14.1-1mdk
- created patch to solve typo in Cap.pm.
- avoid using version naming conventions from package.
- 1.1401.

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.14-1mdk
- 1.14
- fixed group
- rebuild with new perl
- fixed location

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- first version of rpm.

